gvm_hosts Struct Reference

The structure for Hosts collection. More...

`#include <hosts.h>`

## Data Fields

gchar * | orig_str
gvm_host_t ** | hosts
size_t | max_size
size_t | current
size_t | count
size_t | removed
size_t | duplicated

## Detailed Description

The structure for Hosts collection.

The elements of this structure should never be accessed directly. Only the functions corresponding to this module should be used.

## Field Documentation

## count

size_t gvm_hosts::count

Number of single host objects in hosts list.

## current

size_t gvm_hosts::current

Current host index in iteration.

## duplicated

size_t gvm_hosts::duplicated

Number of duplicated values.

## hosts

gvm_host_t** gvm_hosts::hosts

Hosts objects list.

## max_size

size_t gvm_hosts::max_size

Current max size of hosts array entries.

## orig_str

gchar* gvm_hosts::orig_str

Original hosts definition string.

## removed

size_t gvm_hosts::removed

Number of duplicate/excluded values.

The documentation for this struct was generated from the following file:

- base/hosts.h